{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    <div class="container center-align">
        {% if app.user %}
            <div class="m3 container">
                You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% else %}
            <div class="row">
                <form method="post" class="col s12">
                    {% if error %}
                        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                    {% endif %}
                    <h1 class="m3">Please sign in</h1>
                    <div class="row">
                        <div class="input-field col s12">
                            <input type="text" value="{{ last_username }}" name="login" id="inputEmail" class="validate" placeholder="Email" required autofocus/>
                            <label for="inputEmail">Mail</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="input-field col s12">
                            <input id="password" type="password" class="validate" name="password" required/>
                            <label for="password">Password</label>
                        </div>
                    </div>
                    {#
                        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                        See https://symfony.com/doc/current/security/remember_me.html
                        <div class="row">
                            <div class="input-field col s12">
                                <label>
                                    <input type="checkbox" name="_remember_me"> Remember me
                                </label>
                            </div>
                        </div>
                    #}
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}"/>

                    <div class="row">
                        <div class="input-field col s12">
                            <button class="waves-effect waves-light btn-large" type="submit">
                                Sign in
                            </button>
                        </div>
                    </div>
                </form>
            </div>
            <div class="center-align">
                <small>Pas de compte ? <a href="{{ path('app_register') }}">Inscrivez-vous !</a></small>
            </div>
        {% endif %}
    </div>
{% endblock %}
